#!/bin/sh

name="psi-translations"
title="Psi Translations"
package="psi-translations"
version="20030611"
build="1"
noarch="y"
build_info="Standard build."

info="Translations for Psi."
desc="These are translations for Psi. Psi is a powerful
Jabber client."
category="resources/translations"
environment="other"

contact="psi@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source=""
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

translations="ar cs da de es fi fr it jp mk nl pl pt ptbr ru se sr zh"

for i in $translations; do
	add_source http://www.affinix.com/~justin/psilang/psi_$i.ts .
done

parent_package="$package"
write_info main

mkdir -p $pkg_main/usr/share/psi/translations
cp $src_pkg/*.ts $pkg_main/usr/share/psi/translations
( cd $pkg_main/usr/share/psi/translations
lrelease *.ts
rm -f *.ts )

make_package main

clean_up

# $Log: psi-translations.builder,v $
# Revision 1.5  2003/06/11 21:53:21  swiergot
# - Build 1.
#
# Revision 1.4  2003/06/11 21:36:44  swiergot
# - Fetch .ts files from Justin's site and lrelease them.
# - Version 20030611.
#
# Revision 1.3  2003/05/16 13:11:58  swiergot
# - Version 20030516.
# - Build 1.
#
# Revision 1.2  2003/05/16 13:01:21  swiergot
# - Force building.
#
# Revision 1.1  2003/05/16 12:49:06  swiergot
# - Initial release.
# - Created from subpackage of psi package.
# - Added br translation.
#
